<?php
/**
 * The sidebar containing the footer widget area
 *
 * If no active widgets in this sidebar, hide it completely.
 *
 * @package WordPress
 * @subpackage Inoterior
 * @since Inoterior 1.0
 */

 
global $inoterior_theme_options;

$footer_col = '3_3_3_3';
if( !empty($inoterior_theme_options['second_footer_column_layout']) ){
	$footer_col = esc_attr($inoterior_theme_options['second_footer_column_layout']);
}
?>

<?php if ( is_active_sidebar( 'second-footer-1-widget-area' ) || is_active_sidebar( 'second-footer-2-widget-area' ) || is_active_sidebar( 'second-footer-3-widget-area' ) || is_active_sidebar( 'second-footer-4-widget-area' ) ) : ?>

<div id="second-footer" class="sidebar-container second-footer<?php echo themetechmount_sanitize_html_classes(themetechmount_footer_row_class( 'second' )); ?>" role="complementary">
	<div class="second-footer-bg-layer tm-bg-layer"></div>
	<div class="<?php echo themetechmount_sanitize_html_classes(themetechmount_footer_container_class()); ?>">
		<div class="second-footer-inner">
			<div class="row multi-columns-row">
      
				<?php if($footer_col == '3_3_3_3'){ ?>
      
					<?php if ( is_active_sidebar( 'second-footer-1-widget-area' ) ) : ?>
					<div class="widget-area col-xs-12 col-sm-6 col-md-3 col-lg-3">
						<?php dynamic_sidebar( 'second-footer-1-widget-area' ); ?>
					</div><!-- .widget-area -->
					<?php endif; ?>

					<?php if ( is_active_sidebar( 'second-footer-2-widget-area' ) ) : ?>
					<div class="widget-area col-xs-12 col-sm-6 col-md-3 col-lg-3">
						<?php dynamic_sidebar( 'second-footer-2-widget-area' ); ?>
					</div><!-- .widget-area -->
					<?php endif; ?>

					<?php if ( is_active_sidebar( 'second-footer-3-widget-area' ) ) : ?>
					<div class="widget-area col-xs-12 col-sm-6 col-md-3 col-lg-3">
						<?php dynamic_sidebar( 'second-footer-3-widget-area' ); ?>
					</div><!-- .widget-area -->
					<?php endif; ?>

					<?php if ( is_active_sidebar( 'second-footer-4-widget-area' ) ) : ?>
					<div class="widget-area col-xs-12 col-sm-6 col-md-3 col-lg-3">
						<?php dynamic_sidebar( 'second-footer-4-widget-area' ); ?>
					</div><!-- .widget-area -->
					<?php endif; ?>

				<?php } else if($footer_col == '3_4_3_2'){ ?>
      
					<?php if ( is_active_sidebar( 'second-footer-1-widget-area' ) ) : ?>
					<div class="widget-area col-xs-12 col-sm-6 col-md-3 col-lg-3">
						<?php dynamic_sidebar( 'second-footer-1-widget-area' ); ?>
					</div><!-- .widget-area -->
					<?php endif; ?>

					<?php if ( is_active_sidebar( 'second-footer-2-widget-area' ) ) : ?>
					<div class="widget-area col-xs-12 col-sm-6 col-md-3 col-lg-4">
						<?php dynamic_sidebar( 'second-footer-2-widget-area' ); ?>
					</div><!-- .widget-area -->
					<?php endif; ?>

					<?php if ( is_active_sidebar( 'second-footer-3-widget-area' ) ) : ?>
					<div class="widget-area col-xs-12 col-sm-6 col-md-3 col-lg-3">
						<?php dynamic_sidebar( 'second-footer-3-widget-area' ); ?>
					</div><!-- .widget-area -->
					<?php endif; ?>

					<?php if ( is_active_sidebar( 'second-footer-4-widget-area' ) ) : ?>
					<div class="widget-area col-xs-12 col-sm-6 col-md-3 col-lg-2">
						<?php dynamic_sidebar( 'second-footer-4-widget-area' ); ?>
					</div><!-- .widget-area -->
					<?php endif; ?>
					
					
				<?php } else if($footer_col == '5_2_2_3'){ ?>
					<?php if ( is_active_sidebar( 'second-footer-1-widget-area' ) ) : ?>
					<div class="widget-area col-xs-12 col-sm-12 col-md-5 col-lg-5">
						<?php dynamic_sidebar( 'second-footer-1-widget-area' ); ?>
					</div><!-- .widget-area -->
					<?php endif; ?>
					<div class="widget-area col-xs-12 col-sm-12 col-md-7 col-lg-7">
						<div class="widget_area_inner row tm-layout-2-2-3-below">
							<?php if ( is_active_sidebar( 'second-footer-2-widget-area' ) ) : ?>
							<div class="col-xs-12 col-sm-7 col-md-7 col-lg-7">
								<?php dynamic_sidebar( 'second-footer-2-widget-area' ); ?>
							</div>
							<?php endif; ?>
							<?php if ( is_active_sidebar( 'second-footer-3-widget-area' ) ) : ?>
							<div class="col-xs-12 col-sm-5 col-md-5 col-lg-5">
								<?php dynamic_sidebar( 'second-footer-3-widget-area' ); ?>
							</div>
							<?php endif; ?>
							
							<?php if ( is_active_sidebar( 'second-footer-4-widget-area' ) ) : ?>
							<div class="widget-area col-xs-12 col-sm-12 col-md-12 col-lg-12 tm-lastwidget">
								<?php dynamic_sidebar( 'second-footer-4-widget-area' ); ?>
							</div><!-- .widget-area -->
							<?php endif; ?>
					
						</div><!-- .widget-area -->
					</div><!-- .widget-area -->
				
				<?php } else {

					$footer_col = explode('_', $footer_col);
					
					if( is_array($footer_col) && count($footer_col)>0 ){
						$x = 1;
						foreach($footer_col as $col){
						// ROW width class
						$row_class = 'col-xs-12 col-sm-'.$col.' col-md-'.$col.' col-lg-'.$col;
						if ( is_active_sidebar( 'second-footer-'.$x.'-widget-area' ) ) : ?>
							<div class="widget-area <?php echo themetechmount_sanitize_html_classes($row_class); ?> second-widget-area">
								<?php dynamic_sidebar( 'second-footer-'.$x.'-widget-area' ); ?>
							</div><!-- .widget-area -->
						<?php endif;
						$x++;
						} // Foreach
					} // If


			} // if end ?>
      
			</div><!-- .row.multi-columns-row -->
		</div><!-- .second-footer-inner -->
	</div><!--  -->
</div><!-- #secondary -->


<?php endif; ?>